import * as web3 from '@safecoin/web3.js';
import { ConfigLine } from '../types/ConfigLine';
export declare type AddConfigLinesInstructionArgs = {
    index: number;
    configLines: ConfigLine[];
};
export declare type AddConfigLinesInstructionAccounts = {
    candyMachine: web3.PublicKey;
    authority: web3.PublicKey;
};
export declare function createAddConfigLinesInstruction(accounts: AddConfigLinesInstructionAccounts, args: AddConfigLinesInstructionArgs): web3.TransactionInstruction;
