import * as web3 from '@safecoin/web3.js';
import { CandyMachineData } from '../types/CandyMachineData';
export declare type InitializeCandyMachineInstructionArgs = {
    data: CandyMachineData;
};
export declare type InitializeCandyMachineInstructionAccounts = {
    candyMachine: web3.PublicKey;
    wallet: web3.PublicKey;
    authority: web3.PublicKey;
    payer: web3.PublicKey;
};
export declare function createInitializeCandyMachineInstruction(accounts: InitializeCandyMachineInstructionAccounts, args: InitializeCandyMachineInstructionArgs): web3.TransactionInstruction;
