import * as web3 from '@safecoin/web3.js';
import * as beet from '@j0nnyboi/beet';
export declare type UpdateAuthorityInstructionArgs = {
    newAuthority: beet.COption<web3.PublicKey>;
};
export declare type UpdateAuthorityInstructionAccounts = {
    candyMachine: web3.PublicKey;
    authority: web3.PublicKey;
    wallet: web3.PublicKey;
};
export declare function createUpdateAuthorityInstruction(accounts: UpdateAuthorityInstructionAccounts, args: UpdateAuthorityInstructionArgs): web3.TransactionInstruction;
