import * as web3 from '@safecoin/web3.js';
import { CandyMachineData } from '../types/CandyMachineData';
export declare type UpdateCandyMachineInstructionArgs = {
    data: CandyMachineData;
};
export declare type UpdateCandyMachineInstructionAccounts = {
    candyMachine: web3.PublicKey;
    authority: web3.PublicKey;
    wallet: web3.PublicKey;
};
export declare function createUpdateCandyMachineInstruction(accounts: UpdateCandyMachineInstructionAccounts, args: UpdateCandyMachineInstructionArgs): web3.TransactionInstruction;
