import * as beet from '@j0nnyboi/beet';
export declare enum ErrorCode {
    IncorrectOwner = 0,
    Uninitialized = 1,
    MintMismatch = 2,
    IndexGreaterThanLength = 3,
    NumericalOverflowError = 4,
    TooManyCreators = 5,
    UuidMustBeExactly6Length = 6,
    NotEnoughTokens = 7,
    NotEnoughSOL = 8,
    TokenTransferFailed = 9,
    CandyMachineEmpty = 10,
    CandyMachineNotLive = 11,
    HiddenSettingsConfigsDoNotHaveConfigLines = 12,
    CannotChangeNumberOfLines = 13,
    DerivedKeyInvalid = 14,
    PublicKeyMismatch = 15,
    NoWhitelistToken = 16,
    TokenBurnFailed = 17,
    GatewayAppMissing = 18,
    GatewayTokenMissing = 19,
    GatewayTokenExpireTimeInvalid = 20,
    NetworkExpireFeatureMissing = 21,
    CannotFindUsableConfigLine = 22,
    InvalidString = 23,
    SuspiciousTransaction = 24,
    CannotSwitchToHiddenSettings = 25,
    IncorrectSlotHashesPubkey = 26,
    IncorrectCollectionAuthority = 27,
    MismatchedCollectionPDA = 28,
    MismatchedCollectionMint = 29
}
export declare const errorCodeBeet: beet.FixedSizeBeet<ErrorCode, ErrorCode>;
